## ros-jazzy-fuse-graphs 1.1.1

=== debian/changelog ===
ros-jazzy-fuse-graphs (1.1.1-1bookworm) bookworm; urgency=high

  * Required formatting changes for the lastest version of ROS 2 Rolling (#368 <https://github.com/locusrobotics/fuse/issues/368>)
  * Contributors: Stephen Williams

 -- Stephen Williams <swilliams@locusrobotics.com>  Thu, 02 May 2024 00:00:00 -0000

ros-jazzy-fuse-graphs (1.1.0-1bookworm) bookworm; urgency=high

  * Port support for Ceres 2.1.0 Manifold class into ROS 2 Rolling (#366 <https://github.com/locusrobotics/fuse/issues/366>)
    * Support gcc12 and ceres 2.1.0
    * Add support for the Manifold class when using Ceres Solver version 2.1.0 and above
    * General clean up for Ceres 2.2.0 support
    * Updated serialization support to be backwards compatible with previously serialized files
    * Formatting changes required for ROS 2 Rolling / Ubuntu Noble
  * Contributors: Stephen Williams

 -- Stephen Williams <swilliams@locusrobotics.com>  Sat, 20 Apr 2024 00:00:00 -0000

ros-jazzy-fuse-graphs (1.0.1-1bookworm) bookworm; urgency=high



 -- Stephen Williams <swilliams@locusrobotics.com>  Fri, 03 Mar 2023 00:00:00 -0000

ros-jazzy-fuse-graphs (1.0.0-1bookworm) bookworm; urgency=high

  * fuse -> ROS 2 : Doc Generation (#278 <https://github.com/locusrobotics/fuse/issues/278>)
    * Port doc generation and fix package.xml for linting
    * Fix small bugs in package.xml
    * Use default rosdoc2 settings
    * Use default rosdoc2 settings
    * Update fuse_doc for rosdoc2
    ---------
    Co-authored-by: Shane Loretz <mailto:sloretz@google.com>
  * fuse -> ROS 2 fuse_models: Port fuse_models (#304 <https://github.com/locusrobotics/fuse/issues/304>)
    * Port messages
    * Port fuse_models
    * Fix alloc error and some bugs
    * Wait on result
  * fuse -> ROS 2 fuse_graphs: Linting (#297 <https://github.com/locusrobotics/fuse/issues/297>)
  * fuse -> ROS 2 fuse_graphs : Port fuse_graphs (#289 <https://github.com/locusrobotics/fuse/issues/289>)
  * fuse -> ROS 2 fuse_loss: Port fuse_loss (#287 <https://github.com/locusrobotics/fuse/issues/287>)
  * fuse -> ROS 2 fuse_core: Linting (#292 <https://github.com/locusrobotics/fuse/issues/292>)
  * fuse -> ROS 2 fuse_core : Parameters and Tests (#286 <https://github.com/locusrobotics/fuse/issues/286>)
    Co-authored-by: Shane Loretz <mailto:sloretz@osrfoundation.org>
    Co-authored-by: Ivor Wanders <mailto:ivor@iwanders.net>
  * fuse -> ROS 2 : Port Time (#283 <https://github.com/locusrobotics/fuse/issues/283>)
  * fuse -> ROS 2: Clean up macro usage warnings (#280 <https://github.com/locusrobotics/fuse/issues/280>)
  * fuse -> ROS 2 fuse_msgs : Port package and ignore unported packages for now (#277 <https://github.com/locusrobotics/fuse/issues/277>)
    Co-authored-by: Tom Moore <mailto:tmoore@locusrobotics.com>
  * [RST-4186] Fix fuse macro names (#263 <https://github.com/locusrobotics/fuse/issues/263>)
    * Namespace all macros with the FUSE_ prefix. Mark original macros as deprecated.
    * Update all fuse objects to use the new macro names
  * [RST-4390] Allow variables to be held constant during optimization (#243 <https://github.com/locusrobotics/fuse/issues/243>)
    * Add support for holding variables constant
    * Create a 'fixed' landmark
    * Added initial support for marginalizing constant variables
  * Adding doxygen to all packages (#241 <https://github.com/locusrobotics/fuse/issues/241>)
  * [RST-3474] Created a getConstraintCosts() method
    * Created a getConstraintCosts() method for reporting the costs and residuals of individual constraints
  * [RST-2831] Support for optimization bounds (#235 <https://github.com/locusrobotics/fuse/issues/235>)
  * Added a time-limited optimization option to the Graph class (#234 <https://github.com/locusrobotics/fuse/issues/234>)
  * Contributors: Stephen Williams, Tom Moore, methylDragon

 -- Stephen Williams <swilliams@locusrobotics.com>  Fri, 03 Mar 2023 00:00:00 -0000

ros-jazzy-fuse-graphs (0.4.2-1bookworm) bookworm; urgency=high

  * Adding roslint dependency to fuse_viz (#231 <https://github.com/locusrobotics/fuse/issues/231>)
    * Adding roslint dependency to fuse_viz
    * Silence CMP0048 warnings
  * Contributors: Tom Moore

 -- Stephen Williams <swilliams@locusrobotics.com>  Tue, 20 Jul 2021 00:00:00 -0000

ros-jazzy-fuse-graphs (0.4.1-1bookworm) bookworm; urgency=high

  * Improve logs on graph update exception thrown (#227 <https://github.com/locusrobotics/fuse/issues/227>)
    * Catch graph update exceptions and log fatal msg
    When the graph update method throws an exception the node crashes and
    there is no way to know what transaction caused the exception because we
    call notify after successfully updating the graph.
    This catches any exception thrown by the graph update method and logs a
    FATAL message that includes the current graph and the new transaction.
    * Add full stop to exception messages
    This homogenizes the exception messages from all exceptions thrown by
    the HashGraph class.
  * Move parameter blocks vector outside loop (#215 <https://github.com/locusrobotics/fuse/issues/215>)
    This reduces the amount of allocations required, since the same vector
    and its previously allocated memory is reused among all the graph
    constraints when the ceres::Problem is created.
  * Add HashGraph::createProblem benchmark (#214 <https://github.com/locusrobotics/fuse/issues/214>)
  * Fix roslint 0.12.0 (#186 <https://github.com/locusrobotics/fuse/issues/186>)
    * Fix roslint 0.12.0 include_what_you_use warnings
    Mostly for:
    * std::move -> #include <utility>
    * std::make_shared and similar -> #include <memory>
    * Remove static string variable not permitted by roslint 0.12.0, using a test fixture where needed.
  * Remove variables on hold (#185 <https://github.com/locusrobotics/fuse/issues/185>)
    * Test variables on hold are removed when removing a variable
    * Erase variable on hold when removing variable

