=== debian/control ===
Source: ros-jazzy-fuse-graphs
Section: misc
Priority: optional
Maintainer: Stephen Williams <swilliams@locusrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libbenchmark-dev <!nocheck>, libceres-dev, ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-ament-cmake-ros, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-fuse-core, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-fuse-graphs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libceres-dev, ros-jazzy-fuse-core, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-ros-workspace
Description: The fuse_graphs package provides some concrete implementations of the fuse_core::Graph interface.
